Bug Hunting Session
Bug 122367 - Find text: Counter-intuitive Find Next/Previous arrow buttons in Elementary theme
Summary: Find text: Counter-intuitive Find Next/Previous arrow buttons in Elementary t...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2018-12-29 11:15 UTC by Tom
Modified: 2019-04-24 17:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Find toolbar Find Previous active (with tooltip) (14.22 KB, image/png)
2018-12-29 16:38 UTC, V Stuart Foote
Details
Find Screenshot (31.94 KB, image/png)
2018-12-29 20:51 UTC, Tom
Details
Find Screenshot of LO 6.0.7.3 (30.94 KB, image/png)
2018-12-30 06:54 UTC, Tom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom 2018-12-29 11:15:08 UTC
Description:
Command: Edit -> Find ...
View -> Toolbars -> Find

"Find Previous" button in the Find toolbar shows a downward arrow but the text is searched upwards.

"Find Next" button in the Find toolbar shows an upward arrow but the text is searched downwards.

Both arrows should be flipped upside down and the "Find Next" button should be the first (leftmost) button.


Steps to Reproduce:
1. Load a large document into Writer

2. Search for a string using "Edit -> Find ..."

3. Use the arrow buttons in the Find toolbar to search previous and next occurances of the specified string

Actual Results:
"Find Previous" button in the Find toolbar shows a downward arrow but the text is searched upwards.

"Find Next" button in the Find toolbar shows an upward arrow but the text is searched downwards.

Expected Results:
"Find Previous" button in the Find toolbar should show an upward arrow.
"Find Next" button in the Find toolbar should show a downward arrow.

"Find Next" button should be the first (leftmost) button.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.4.2
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: de-DE (en_US.UTF-8); Calc: group threaded
Comment 1 V Stuart Foote 2018-12-29 16:38:53 UTC
Created attachment 147886 [details]
Find toolbar Find Previous active (with tooltip)

Can not confirm on Windows build of 6.1.4.2 widget sequence is Find Previous (with upward Arrow) and Find Next (with downward arrow) and action/direction of find follows the GUI.

=-testing-=
Windows 10 Home (1803) 64-bit en-US with
Version: 6.1.4.2 (x64)
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: CL
Comment 2 V Stuart Foote 2018-12-29 16:42:13 UTC
Possible the symbol for the theme is reversed on build.

Please indicate the Linux distro build and the Desktop environment in use?
Comment 3 Tom 2018-12-29 20:51:00 UTC
Created attachment 147889 [details]
Find Screenshot

I have manually installed directly downloaded from https://www.libreoffice.org:

LibreOffice_6.1.4_Linux_x86-64_deb.tar.gz
LibreOffice_6.1.4_Linux_x86-64_deb_helppack_en-US.tar.gz

on Linux Mint Mate 18.3.

For illustration I have also added a screenshot showing the issue.

Regards
Tom
Comment 4 Tom 2018-12-30 06:54:28 UTC
Created attachment 147894 [details]
Find Screenshot of LO 6.0.7.3

Follow-up:

Please see the corresponding screenshot of LO 6.0.7.3 running on the same computer. As you can see the button icons are correct in LO 6.0.7.3.

Regards
Tom
Comment 5 Rizal Muttaqin 2019-04-22 06:51:22 UTC
Polite ping to the bug reporter. Have the bug resolved? If I'm not wrong the elementary icon 6.2 version which got huge update had been backported to 6.1 also.
Comment 6 Tom 2019-04-23 20:00:30 UTC
Update: The reported issue of the Elementary theme persists in LO 6.1.5.2, but cannot be reproduced in LO 6.2.3.2.

Regards
Tom
Comment 7 andreas_k 2019-04-24 17:54:27 UTC
Look fixed in master